%global family ntedfont
#global fontconf 69-%{name}-%{family}.conf

# ntedfont is a special purpose symbol font, and thus needs
# no fontconfig magic.


# Only build noarch subpackages if distribution supports it
%if 0%{?fedora} >= 11
%global noarch_subpackage BuildArch: noarch
%else
%global noarch_subpackage %{nil}
%endif


Name:           nted
Version:        1.10.17
Release:        1%{?dist}
Summary:        Musical score editor

Group:          Applications/Publishing
# Program source is GPLv2+ and is in the main binary nted package. We
# keep the GFDL in there as well, though, for the man page etc.  HTML
# manuals are GFDL 1.2+ and are shipped in the noarch nted-doc
# package.  The ntedfont is GPL+font exception, and are shipped in the
# -fonts noarch subpackage.
License:        GPLv2+ and GFDL
URL:            http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/nted.xhtml
Source0:        http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/sources/nted-%{version}.tar.gz
Source1:        nted.desktop
#Source2:        %{name}-%{family}-fontconfig.conf

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  gtk2-devel alsa-lib-devel
BuildRequires:  gettext kdesdk yelp xmlto desktop-file-utils
BuildRequires:  fontpackages-devel >= 1.18
BuildRequires:  fontpackages-filesystem

Requires:       %{name}-%{family}-fonts = %{version}-%{release}
Requires:       %{name}-doc = %{version}-%{release}


%description
NtEd is a GTK score editor. It intends to be really WYSIWYG: what you
see on the screen is exactly what you get on printer output. It
supports up to 4 voices per staff, drum notes, 5 lyrics lines,
N-Tuplets, context changes, repeats with alternatives, configurable
music instruments per staff, MIDI and Postscript export, MusicXML
import. Scores can be played through the ALSA sequencer.


%package doc
Group:          Applications/Publishing
Summary:        NtEd's documentation and online help
License:        GFDL1.2+
%{noarch_subpackage}


%description doc
NtEd's documentation and online help.


%package %{family}-fonts
Group:          User Interface/X
Requires:       fontpackages-filesystem
Summary:        NtEd's own special note symbol font
# GPL with font embedding exception
License:        GPLv2+ with exceptions
%{noarch_subpackage}


%description %{family}-fonts
NtEd's own special note symbol font.


%prep
%setup -q


%build
%configure --docdir='%{_docdir}/%{name}-doc-%{version}'
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mv %{buildroot}%{_docdir}/%{name}-doc-%{version} docs

# Upstream desktop file contains some blank keys and is not spec-compliant
rm %{buildroot}%{_datadir}/applications/nted.desktop
desktop-file-install --vendor="fedora" \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE1}
%find_lang %{name}

# Install font into the correct directory
install -m 0755 -d %{buildroot}%{_fontdir}
mv -f %{buildroot}%{_datadir}/%{name}/ntedfont.pfa \
      %{buildroot}%{_fontdir}/ntedfont.pfa
# This saves us from patching the nted source.
ln -s %{_fontdir}/ntedfont.pfa \
      %{buildroot}%{_datadir}/%{name}/ntedfont.pfa \


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.GFDL
%{_bindir}/nted
%{_datadir}/applications/fedora-nted.desktop
%{_datadir}/pixmaps/nted.png
%{_datadir}/%{name}
%{_mandir}/*/*


%files doc
%defattr(-,root,root,-)
%doc COPYING.GFDL docs/*


#_font_pkg -n %{family} -f %{fontconf} %{family}.pfa
%_font_pkg -n %{family} %{family}.pfa
%doc COPYING COPYING.FONT.TXT


%changelog
* Tue Jan 25 2011 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.10.17-1
- Update to 1.10.17 (#625397).

* Wed Jul 21 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.10.13-1
- Update to 1.10.13 (#616739).

* Fri Jul 16 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.10.12-2
- Added License tags for -doc, -fonts subpackages.
- Added COPYING and COPYING.FONT.TXT (GPL w/ font exception) to fonts subpkg.
- Removed COPYING (GPL) from -doc subpkg (contains only GFDL files).

* Fri Jul 16 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.10.12-1
- Update to 1.10.12 (#578125).

* Thu Apr 29 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.10.3-2
- Repeat build with the sourc tarball actually uploaded

* Wed Apr 28 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.10.3-1
- Update to 1.10.3 (support tremolo notes)

* Mon Apr 26 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.10.1-1
- Update to 1.10.1

* Mon Apr 26 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.9.22-1
- Update to 1.9.22 (bug fixes, mostly Lilypond export)

* Tue Mar 30 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.9.19-1
- Update to 1.9.19 (time signature fixes)
- Remove upstreamed nted-1.9.18-link-fix-for-fedora.patch

* Wed Feb 10 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.9.18-2
- Explicitly check for and link against libX11 (will be in upstream 1.9.19)
- Remove obsolete "chmod -x" on dynarray.h
- Update nted.desktop translations from upstream's nted.desktop

* Wed Feb 10 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.9.18-1
- Update to 1.9.18

* Thu Jan 21 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.9.17-1
- Update to 1.9.17

* Thu Dec 24 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.9.13-1
- Update to 1.9.13

* Fri Dec  4 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.9.10-1
- Update to 1.9.10

* Sat Oct 31 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.9.2-1
- Update to 1.9.2

* Mon Oct  5 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.8.6-1
- 1.8.6 release

* Sat Sep 26 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.8.1-1
- update to upstream's nted-1.8.1 release

* Wed Sep 23 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.6.2-2
- Update desktop file according to F-12 FedoraStudio feature

* Mon Jul 27 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.6.2-1
- update to bugfix release 1.6.2

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.6.1-1
- Upstream release 1.6.0/1.6.1

* Wed Mar 25 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.5.0-6
- Rebuild for Fedora 11 to pick up font autodeps (#491970)

* Thu Mar  5 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.5.0-5
- Remove workaround for broken po2xml which is now fixed
- Move noarch subpackage conditional part to single place in file

* Sat Feb 28 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.5.0-4
- Add (disabled) workaround for broken po2xml (would remove translated docs)

* Thu Feb 26 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.5.0-3
- noarch subpackage for doc
- use versioned requirements for subpackages

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.5.0-1
- Update to upstream 1.5.0 release
- nothing user visible besides the upstream 1.5.0 release
- replace %%dir %%{_fontdir} by fontpackages-devel >= 1.18 build req
- replace %%define with %%global
- ship COPYING.GFDL file
- split off nted-ntedfont-fonts subpackage for the font people

* Mon Jan 11 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.4.17-2
- remove unneeded fontconfig hooks from spec

* Sun Jan 11 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.4.17-1.1
- remove wrongly encoded german description
- use new font packaging rules
- split ntedfont.pfa into nted-fonts subpackage

* Wed Dec 10 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.4.17-1
- Update to upstream's 1.4.17 release.

* Tue Nov 30 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.4.16-1
- Update to upstream's 1.4.16 release.

* Tue Nov 11 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.4.15-1
- Update to upstream's 1.4.15 release.

* Fri Oct 17 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.4.2-1
- Update to upstream's 1.4.2 release.

* Wed Oct 15 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.3.3-1
- Update to upstream's 1.3.3 release.

* Fri Sep 19 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.2.1-1
- Update to upstream's 1.2.1 release.

* Wed Sep 10 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.0.8-2
- Work around upstream shipping an executable dynarray.h file.

* Tue Sep  9 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.0.8-1
- Update to upstream's 1.0.8 release.

* Sun Sep  7 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.0.7-2
- Consistently use %%{buildroot} instead of $RPM_BUILD_ROOT
- Ship upstream's now correct COPYING file.
- Ship all docs disregarding the languages.

* Sun Sep  7 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.0.7-1
- Update to nted-1.0.7
- Remove all patches (all adopted by upstream now)
- Consistently use --docdir, %%docdir

* Sun Jun  8 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.24.1-1
- Update to 0.24.1

* Sun Jun  8 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 0.22.3-2.4
- Temporary test build
- Add GFDL to licenses
- Add lang(de) variants for Summary and Description
- Have nted look for html docs in correct place

* Tue Jun  3 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.22.3-2
- Use compiler flags
- Fix compilation warnings
- Reorganize documentation files

* Fri Apr 25 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.22.3-1
- Initial package

